
From: Shane Shrybman <shrybman@sympatico.ca>

This fixes the following warning:

drivers/parport/parport_pc.c:98: warning: `verbose_probing' defined but
not used



 drivers/parport/parport_pc.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff -puN drivers/parport/parport_pc.c~parport-warning-fix drivers/parport/parport_pc.c
--- 25/drivers/parport/parport_pc.c~parport-warning-fix	2003-07-12 11:38:39.000000000 -0700
+++ 25-akpm/drivers/parport/parport_pc.c	2003-07-12 11:38:39.000000000 -0700
@@ -94,7 +94,8 @@ static struct superio_struct {	/* For Su
 } superios[NR_SUPERIOS] __devinitdata = { {0,},};
 
 static int user_specified __devinitdata = 0;
-#if defined(CONFIG_PARPORT_PC_FIFO) || defined(CONFIG_PARPORT_PC_SUPERIO)
+#if defined(CONFIG_PARPORT_PC_SUPERIO) || \
+       (defined(CONFIG_PARPORT_1284) && defined(CONFIG_PARPORT_PC_FIFO))
 static int verbose_probing;
 #endif
 static int registered_parport;
@@ -3116,7 +3117,8 @@ MODULE_PARM_DESC(irq, "IRQ line");
 MODULE_PARM(irq, "1-" __MODULE_STRING(PARPORT_PC_MAX_PORTS) "s");
 MODULE_PARM_DESC(dma, "DMA channel");
 MODULE_PARM(dma, "1-" __MODULE_STRING(PARPORT_PC_MAX_PORTS) "s");
-#if defined(CONFIG_PARPORT_PC_FIFO) || defined(CONFIG_PARPORT_PC_SUPERIO)
+#if defined(CONFIG_PARPORT_PC_SUPERIO) || \
+       (defined(CONFIG_PARPORT_1284) && defined(CONFIG_PARPORT_PC_FIFO))
 MODULE_PARM_DESC(verbose_probing, "Log chit-chat during initialisation");
 MODULE_PARM(verbose_probing, "i");
 #endif

_
